Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.uil2.msgs
Class UnsubscribeMsg

    java.lang.Object
      org.jboss.mq.il.uil2.msgs.BaseMsg
          org.jboss.mq.il.uil2.msgs.UnsubscribeMsg

All Implemented Interfaces:
  Runnable

public class UnsubscribeMsg
extends BaseMsg

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.jboss.mq.il.uil2.msgs.BaseMsg
`error, msgID, msgType`

Constructor Summary
`UnsubscribeMsg()`
`UnsubscribeMsg(int subscriptionID)`

Method Summary
`int` | `getSubscriptionID()`
`void` | `read(ObjectInputStream in)` Read the hasError flag and optionally the error.
`void` | `write(ObjectOutputStream out)` Write the msgType, msgID, hasError flag and optionally the error

Methods inherited from class org.jboss.mq.il.uil2.msgs.BaseMsg
`createMsg, equals, getError, getMsgID, getMsgType, hashCode, run, setError, setHandler, setMsgID, setUseJMSServerMsgIDs, toString, toString, trimReply`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsubscribeMsg

    public UnsubscribeMsg()

### UnsubscribeMsg

    public UnsubscribeMsg(int subscriptionID)

Method Detail

### getSubscriptionID

    public int getSubscriptionID()

### write

    public void write(ObjectOutputStream out)
               throws IOException

  Description copied from class: `BaseMsg`
  Write the msgType, msgID, hasError flag and optionally the error

  Overrides:
    `write` in class `BaseMsg`
  Parameters:
    `out` -
  Throws:
    `IOException`

### read

    public void read(ObjectInputStream in)
              throws IOException,
                     ClassNotFoundException

  Description copied from class: `BaseMsg`
  Read the hasError flag and optionally the error. This method is not a complete analog of write because the SocketManager read task reads the msgType and msgID off of the socket.

  Overrides:
    `read` in class `BaseMsg`
  Parameters:
    `in` -
  Throws:
    `ClassNotFoundException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.